Subject: Re: network manager confused with bcm43xx-d80211?

From: Larry Finger <[email-masked]>
Date: Mon, 14 Aug 2006 07:48:22 -0500

Johannes Berg wrote:
> Dan Williams wrote:
> Yeah, I noticed it wasn't in /proc/net/wireless. Should've tipped me off 
> I guess. And I probably also should've thought that nm would ask HAL. 
> Looks like I wasn't really on track when I wrote this yesterday ;)
>> So if the wlanX interface isn't in /proc/net/wireless, you lose.  I
>> think we discussed this in the private rt2x00 thread about a month ago?
>> Some patches came out of that one, specifically the SET_NETDEV_DEV ones
>> for rt2x00 and d80211.  The problem with d80211 was that it didn't
>> implement the get_wireless_stats() handler function, and that function
>> (I think?) is the one that lets the wlanX device show up
>> in /proc/net/wireless.
>>   
> Yeah, that sounds about right. Larry, do you remember/know more about 
> this? I think you were working in this area?

Yes, get_wireless_stats is needed for the device to show up in /proc/net/wireless.

The RFCd patch to add wireless stats to d80211 received only minor comments, 
which have all been addressed. I will be submitting a proper patch to Linville's 
tree today. In addition, I have reached an agreement with the authors of all 
other drivers that use d80211 on a scheme that will implement the stats code for 
them as well. Unfortunately, none of them provide such useful quantities as 
noise values, but perhaps the prominent FIXMEs will spur action by those who 
have detailed device specifications.

Larry